# $Revision: 1.22 $, $Date: 2012/01/15 20:55:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	Scalar-Timeout
Summary:	Tie::Scalar::Timeout - scalar variables that time out
Summary(pl.UTF-8):	Tie::Scalar::Timeout - zmienne skalarne ulegające przedawnieniu
Name:		perl-Tie-Scalar-Timeout
Version:	2.101420
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7466a9d2e052556140003b49b612cef1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to tie a scalar variable whose value will be
reset (subject to an expiry policy) after a certain time and/or a
certain number of uses. One possible application for this module might
be to time out session variables in mod_perl programs.

%description -l pl.UTF-8
Ten moduł pozwala wiązanie zmiennej skalarnej, której wartość będzie
przywrócona (zgodnie z polisą przedawnienia) po danym czasie i/lub
liczbie odwołań. Jednym z zastosowań tego modułu może być
przedawnianie zmiennych sesji w programach mod_perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Tie/Scalar
%{perl_vendorlib}/Tie/Scalar/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-Scalar-Timeout.spec,v $
Revision 1.22  2012/01/15 20:55:40  zbyniu
- up to 2.101420

Revision 1.21  2009/10/16 07:35:54  amateja
- updated to 1.33

Revision 1.20  2008/07/27 22:56:53  arekm
- release 3

Revision 1.19  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:51  paladine
- formatting

Revision 1.16  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/06 18:21:23  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 21:42:44  ankry
- licence fix

Revision 1.13  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.12  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/06/11 14:05:27  qboosh
- cosmetics, up to 1.3.2 (from RA-branch), release 2

Revision 1.9  2003/05/28 13:01:08  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:33:50  ankry
- added missing dir
- release 3

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR
